Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.extract
Class PerDocumentF1Evaluator

    java.lang.Object
      cc.mallet.extract.PerDocumentF1Evaluator

All Implemented Interfaces:
  ExtractionEvaluator

    public class PerDocumentF1Evaluator

extends java.lang.Object
implements ExtractionEvaluator

Created: Oct 8, 2004

Version:
  $Id: PerDocumentF1Evaluator.java,v 1.1 2007/10/22 21:37:44 mccallum Exp $
Author:

  Constructor Summary
  `PerDocumentF1Evaluator()`

  Method Summary
  `void` | `evaluate(Extraction extraction)`
  `void` | `evaluate(Extraction extraction, java.io.PrintStream out)`
  `void` | `evaluate(Extraction extraction, java.io.PrintWriter out)`
  `void` | `evaluate(java.lang.String description, Extraction extraction, java.io.PrintWriter out)`
  `FieldComparator` | `getComparator()`
  `java.io.PrintStream` | `getErrorOutputStream()`
  `void` | `setComparator(FieldComparator comparator)`
  `void` | `setErrorOutputStream(java.io.OutputStream errorOutputStream)`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### PerDocumentF1Evaluator

      public PerDocumentF1Evaluator()

  Method Detail

  ### getComparator

      public FieldComparator getComparator()

  ### setComparator

      public void setComparator(FieldComparator comparator)

  ### getErrorOutputStream

      public java.io.PrintStream getErrorOutputStream()

  ### setErrorOutputStream

      public void setErrorOutputStream(java.io.OutputStream errorOutputStream)

  ### evaluate

      public void evaluate(Extraction extraction)

    Specified by:
      `evaluate` in interface `ExtractionEvaluator`

  ### evaluate

      public void evaluate(Extraction extraction,
                           java.io.PrintStream out)

  ### evaluate

      public void evaluate(Extraction extraction,
                           java.io.PrintWriter out)

  ### evaluate

      public void evaluate(java.lang.String description,
                           Extraction extraction,
                           java.io.PrintWriter out)

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD